## net.sf.saxon.xqj
Class SaxonXQSequenceType

    java.lang.Object
      net.sf.saxon.xqj.SaxonXQSequenceType

All Implemented Interfaces:
  javax.xml.xquery.XQSequenceType

    public class SaxonXQSequenceType

extends java.lang.Object
implements javax.xml.xquery.XQSequenceType

Field Summary

Fields inherited from interface javax.xml.xquery.XQSequenceType
`OCC_EMPTY, OCC_EXACTLY_ONE, OCC_ONE_OR_MORE, OCC_ZERO_OR_MORE, OCC_ZERO_OR_ONE`

Method Summary
`int` `getItemOccurrence()` Returns the occurrence indicator for the sequence type.
`javax.xml.xquery.XQItemType` `getItemType()` Returns the type of the item in the sequence type.
`java.lang.String` `getString()`
`java.lang.String` `toString()` Returns a human-readable implementation-defined string representation of the sequence type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.xml.xquery.XQSequenceType
`equals, hashCode`

Method Detail

### getItemOccurrence

    public int getItemOccurrence()

  Description copied from interface: `javax.xml.xquery.XQSequenceType`
  Returns the occurrence indicator for the sequence type. One of:

  Description | Value
  --- | ---
  Zero or one | `OCC_ZERO_OR_ONE`
  Exactly one | `OCC_EXACTLY_ONE`
  Zero or more | `OCC_ZERO_OR_MORE`
  One or more | `OCC_ONE_OR_MORE`
  Empty | `OCC_EMPTY`

  Specified by:
    `getItemOccurrence` in interface `javax.xml.xquery.XQSequenceType`
  Returns:
    `int` indicating the occurrence indicator

### getItemType

    public javax.xml.xquery.XQItemType getItemType()

  Description copied from interface: `javax.xml.xquery.XQSequenceType`
  Returns the type of the item in the sequence type.

  Specified by:
    `getItemType` in interface `javax.xml.xquery.XQSequenceType`
  Returns:
    `XQItemType` representing the item type in the sequence. `null` is returned in case of an empty sequence.

### getString

    public java.lang.String getString()

### toString

    public java.lang.String toString()

  Description copied from interface: `javax.xml.xquery.XQSequenceType`
  Returns a human-readable implementation-defined string representation of the sequence type.

  Specified by:
    `toString` in interface `javax.xml.xquery.XQSequenceType`
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a `String` representation of the sequence type

Copyright (c) Saxonica Limited. All rights reserved.